/* base64.cc 06/02/2003 11.06.18 */
EXPORT int base64_decode (char *dst, int sizedst, const char *bufcoded);
EXPORT char *base64_encode (const char *data, int size);
/* button.cc 15/06/2004 13.18.00 */
/* buttongif.cc 18/09/2000 17.52.44 */
void button_text2png (const char *str, FILE *fout);
/* buttons.cc 23/10/2003 00.32.48 */
EXPORT void dialog_noquitbutton (void);
bool dialog_usinglynx (void);
void dialog_setuselynx (bool uselynx);
void dialog_mayuselynx (bool mayuselynx);
EXPORT void dialog_showhelp (HELP_FILE&help);
/* checkbox.cc 15/06/2004 13.21.56 */
/* checklist1.cc 26/09/1996 13.54.12 */
int dialog_checklist_p (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int list_height,
	 int item_no,
	 char **items);
/* checklist.cc 30/09/1996 10.50.30 */
int dialog_checklist (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int ,
	 int item_no,
	 char **items,
	 char *status);
/* chkmval.cc 15/06/2004 13.22.38 */
/* chkmvals.cc 15/06/2004 13.23.02 */
/* clist.cc 15/06/2004 13.19.12 */
/* cmdsock.cc 11/02/2004 16.53.22 */
void logevent (const char *fmt, ...);
void logdebug (int level, const char *fmt, ...);
EXPORT int cmdsock_connect (const char *servname,
	 int port,
	 int time_out,
	 int nbretry);
EXPORT int cmdsock_connect (const char *servname,
	 const char *portname,
	 int time_out,
	 int nbretry);
int cmdsock_wait (int nbfds, int fds[], int ready[], long timeout);
int cmdsock_wait (int fd, long timeout);
/* def.cc 04/07/2002 15.41.42 */
/* diaetc.cc 03/11/2003 08.42.22 */
EXPORT void dialog_end (void);
bool dialog_isinit (void);
bool dialog_uiok (void);
void init_dialog (void);
void diaetc_forcemono (void);
void color_setup (void);
void attr_clear (WINDOW *win,
	 int height,
	 int width,
	 unsigned long attr);
void print_button (WINDOW *win,
	 const char *label,
	 int y,
	 int x,
	 int selected);
void draw_box (WINDOW *win,
	 int y,
	 int x,
	 int height,
	 int width,
	 unsigned long box,
	 unsigned long border_light,
	 unsigned long border_shadow);
void draw_shadow (WINDOW *, int , int , int , int);
EXPORT int dialog_parseuioptions (int argc, char *argv[]);
void diaetc_drawinput (WINDOW *dialog,
	 int x,
	 int y,
	 int width,
	 const char *s);
/* diagui.cc 09/06/2004 15.33.22 */
void diagui_setmode (DIAGUI_MODE mode);
void diagui_sethandle (int handlein, int handleout, const char *lines);
int diagui_init (void);
EXPORT const char *diagui_getlast_actionid (void);
void diagui_resetmsg (void);
EXPORT const char *diagui_quote (const char *s, char tmp[1000]);
void diagui_send (const char *ctl, ...);
EXPORT void diagui_sendcmd (int cmd, const char *ctl, ...);
EXPORT void diagui_flush (void);
void diagui_send_Label (const char *str);
EXPORT void diagui_seticonpath (const char *path);
EXPORT int diagui_sendxpm (const char *name, char *name_sent);
EXPORT int diagui_sendminixpm (const char *name, char *name_sent);
EXPORT void diagui_setdefaultctx (const char *s);
EXPORT int diagui_sync (const char *dianame,
	 SSTRING&path,
	 SSTRING&action,
	 SSTRING&menubar);
EXPORT int diagui_sync (POPENFD&po, int timeout, bool message_aware);
EXPORT int diagui_sync (POPENFD&po, int timeout);
EXPORT int diagui_select (int maxhandle,
	 fd_set *readfds,
	 int timeout,
	 PRIVATE_MESSAGE&end);
EXPORT int dialog_waitformessage (PRIVATE_MESSAGE&msg);
void diagui_sendhtmlhelp (const char *relpath);
void diagui_showhelp (const char *relpath);
EXPORT void diagui_showhelp (HELP_FILE&helpfile);
EXPORT const char *diagui_getval (char prefix, int nof);
EXPORT const char *diagui_getval (const char *diapath,
	 char prefix,
	 int nof);
EXPORT const char *diagui_getval (const char *diapath,
	 char prefix,
	 const char *str);
EXPORT const char *diagui_getval (char prefix, const char *str);
EXPORT int diagui_getvals (const char *diapath,
	 char prefix,
	 int nof,
	 SSTRINGS&tb);
EXPORT int diagui_getvals (char prefix, int nof, SSTRINGS&tb);
EXPORT void dialog_sendmessage (const char *msg);
EXPORT void dialog_sendmessage (PRIVATE_MESSAGE&msg);
EXPORT void dialog_sendmessages (PRIVATE_MESSAGES&msgs);
EXPORT const char *dialog_getmessage (void);
EXPORT PRIVATE_MESSAGE *dialog_getprivmessage (void);
EXPORT bool dialog_testmessage (const char *msg);
EXPORT bool dialog_testmessage (PRIVATE_MESSAGE&msg);
EXPORT bool dialog_testtimer (const char *id);
EXPORT bool dialog_testtimer (PRIVATE_MESSAGE&msg);
EXPORT void dialog_settimer (const char *id, int seconds, bool rearm);
EXPORT void dialog_settimer (PRIVATE_MESSAGE&msg,
	 int seconds,
	 bool rearm);
EXPORT void dialog_deltimer (const char *id);
EXPORT void dialog_deltimer (PRIVATE_MESSAGE&msg);
EXPORT void dialog_wait (int nbseconds);
EXPORT void dialog_splash (const char *xpm);
/* dialist.cc 27/06/2002 23.23.20 */
/* dialog.cc 09/06/2004 15.33.34 */
void dialog_required (void);
EXPORT void dialog_clear (void);
EXPORT void dialog_restart (void);
void dialog_clearinit (void);
EXPORT void dialog_consout_mode (bool silent_mode);
EXPORT bool dialog_get_consout_mode (void);
EXPORT void dialog_consout (const char *ctl, ...);
/* _dict.cc 14/08/1996 16.09.34 */
/* fcombo.cc 03/05/2004 12.39.06 */
/* fcombom.cc 06/04/2004 17.41.10 */
/* fhtml.cc 15/06/2004 13.19.20 */
/* field.cc 15/06/2004 13.24.10 */
const char *field_formatpath (char tmp[1000],
	 const char *diapath,
	 const char *fldpath);
bool field_editline (WINDOW *dialog,
	 bool password_mode,
	 FIELDEDIT_TYPE char_mode,
	 int key,
	 int box_width,
	 int box_y,
	 int box_x,
	 int size,
	 int &input_x,
	 int &scroll,
	 char *instr);
/* fldmisc.cc 06/04/2004 17.41.18 */
void fldmisc_required (void);
/* fldnum.cc 15/06/2004 13.21.14 */
/* fstrhelp.cc 15/06/2004 13.19.56 */
/* ftitle.cc 15/06/2004 13.26.40 */
int ftitle_splitline (const char *buf,
	 char line[1000],
	 char word[1000]);
void ftitle_clist (int nof,
	 const char *tag,
	 const char *buf,
	 bool is_title,
	 const char *dianame,
	 bool setval);
/* guiid.cc 05/08/2001 23.44.14 */
void guiid_required (void);
EXPORT const char *guiid_setfont (int pointsize,
	 GFONT_ID fontid,
	 GFONT_STYLE style,
	 GFONT_WEIGHT weight,
	 bool underlined);
EXPORT const char *guiid_setpen (const char *color,
	 int thick,
	 GPEN_STYLE style);
EXPORT const char *guiid_setpen (const char *color);
EXPORT const char *guiid_setbrush (const char *color,
	 GBRUSH_STYLE style);
EXPORT const char *guiid_setbrush (const char *color);
EXPORT const char *guiid_setdc (const char *font,
	 const char *pen,
	 const char *brush);
/* help_context.cc 13/11/2002 13.39.26 */
void help_context_setalthelp (DIALOG *dia);
void help_context_setmark (int threadid);
void help_context_delmark (int threadid);
/* html.cc 26/04/2004 11.30.10 */
int html_getlevel (void);
EXPORT int html_gethandle (void);
EXPORT const char *html_getval (const char *key);
const char *html_getoldval (const char *key);
void html_stresc (char *dst, const char *src, int size);
void html_defvar (const char *type,
	 const char *name,
	 const char *value,
	 const char *opt);
void html_defselect (const char *name);
void html_defvar (const char *type,
	 const char *name,
	 int value,
	 const char *opt);
void html_defvarcur (const char *name, const char *value);
void html_defvarcur (const char *name, int value);
EXPORT int html_printf (const char *ctl, ...);
void html_flush (void);
void html_sethost (const char *_hostname, int _port);
void html_setaref (const char *key, const char *text);
void html_formatkey (char *key, const char *ctl, ...);
void html_sendintro (const char *content_type,
	 int length,
	 int expires,
	 bool nocache);
EXPORT void html_setdone (void);
EXPORT const char *html_getcutinfo (void);
EXPORT void html_setcutinfo (const char *s);
void html_ivldurl (void);
EXPORT void html_needpasswd (void);
void html_getpageparm (SSTRING&body, SSTRING&head);
void html_setpageparm (const char *body, const char *head);
void html_forgetdialog (DIALOG *);
void html_adddialog (DIALOG *);
void html_registerpath (const char *basepath);
int html_locatefile (const char *fname,
	 const char *extension,
	 char *path,
	 int maxlen);
void html_setpopup (void);
void html_resetpopup (void);
const char *http_getbody (void);
int html_get (int _debug,
	 HELP_FILE&intro,
	 int timeout,
	 char module_key[50],
	 int &remhandle);
int html_getourname (char *name);
/* inputbox.cc 08/02/2001 15.53.34 */
EXPORT MENU_STATUS dialog_inputbox (const char *title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 char inpstr[MAX_LEN+1]);
EXPORT MENU_STATUS dialog_inputbox (const char *title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 SSTRING&inpstr);
EXPORT MENU_STATUS dialog_inputpass (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 char inpstr[MAX_LEN+1]);
/* internal.cc 06/04/2004 17.37.58 */
/* isocnv.cc 06/09/1997 05.00.14 */
/* kbd.cc 06/04/2004 17.41.44 */
void dialog_settimeout (int nbsec, MENU_STATUS retcod, bool rearm);
void dialog_starttimeout (void);
int dialog_getcurtimeout (void);
int dialog_wgetch (WINDOW *w, MENU_STATUS&timeout_button);
/* main.cc 26/09/1996 13.29.46 */
/* menubox.cc 15/06/2004 13.20.22 */
int menubox_getwidths (const char *pt, int tb[]);
void menubox_drawcols (const char *pt,
	 int tbcol[],
	 int max_width,
	 WINDOW *win,
	 const int hoffset,
	 int pos,
	 int selcol,
	 unsigned attr,
	 unsigned attrsel);
EXPORT void menubox_setcollect (void (*f)(const char *, const char *, const
	 char *));
MENU_STATUS dialog_menu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int options,
	 int item_no,
	 char **items,
	 int &sel);
/* modregister.cc 13/11/2002 14.43.16 */
EXPORT bool dialog_registrymode (void);
/* msgbox.cc 13/11/2002 13.47.52 */
int dialog_msgbox (const char *title,
	 const char *prompt,
	 const char *icon);
/* multi.cc 15/06/2004 13.23.52 */
int dialog_textsize (const char *txt, int *width);
WINDOW *dialog_openwin (int height, int width);
void dialog_draw (WINDOW *dialog,
	 const char *title,
	 const char *internal_title,
	 const char *intro,
	 int height,
	 int width);
EXPORT DIALOG_MODE dialog_setmode (DIALOG_MODE mode);
void dialog_resettree (void);
void dialog_endlevel (void);
EXPORT void dialog_jumpto (const char *menupath);
EXPORT void dialog_jump2help (bool mode);
int multi_alloc_gui_id (void);
void multi_setlistening (void);
void multi_touchwins (void);
/* pass.cc 15/06/2004 13.21.14 */
void pass_required (void);
/* private_msg.cc 22/11/2002 10.56.12 */
/* radio.cc 15/06/2004 13.24.44 */
/* rc.cc 01/08/1996 00.00.04 */
void create_rc (char *filename);
int parse_rc (void);
/* samples.cc 09/06/2004 15.35.00 */
/* sheet.cc 15/06/2004 13.21.14 */
void sheet_required (void);
/* term.cc 15/06/2004 12.23.38 */
/* textarea.cc 15/06/2004 13.23.24 */
/* textbox.cc 15/06/2004 13.21.14 */
void textbox_expandtab (const char *src, char *dst, int maxsiz);
EXPORT MENU_STATUS dialog_textbox (const char *title,
	 const char *file,
	 HELP_FILE&help);
EXPORT MENU_STATUS dialog_textbox (const char *title, const char *file);
EXPORT MENU_STATUS dialog_textbox (const char *title,
	 const char *intro,
	 HELP_FILE&help,
	 const SSTRINGS&strs);
EXPORT MENU_STATUS dialog_textbox (const char *title,
	 const SSTRINGS&strs);
/* uithread.cc 13/11/2002 13.23.58 */
void uithread_sync (int (*editfct)());
EXPORT void uithread_init (int nbtr);
EXPORT bool uithread_check (void);
void uithread_setmodal (void);
int uithread_ok (void (*fct)(void *), void *data);
int uithread_getparent (int id);
int uithread_getparent (void);
EXPORT int uithread (void (*fct)(void *), void *data);
EXPORT int uithread (void (*fct)());
EXPORT void uithread_yield (void);
/* varval.cc 25/06/2002 16.50.04 */
HTML_VARVAL *varval_get (int id);
/* xul.cc 05/11/2003 12.02.36 */
const char *xul_quote (const char *s, SSTRING&dst);
void xul_send_Label (const char *s);
void xul_send_skip (int n);
/* yesno.cc 21/06/2000 21.40.22 */
EXPORT MENU_STATUS dialog_yesno (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 bool default_is_yes);
EXPORT MENU_STATUS dialog_yesno (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile);
