/* _dict.cc 22/10/2003 12.51.16 */
/* diskquotaconf.tlcc 19/02/2004 09.43.06 */
/* quota.cc 19/02/2004 09.42.40 */
PRIVATE void QUOTA_SPEC::init (void);
PUBLIC void QUOTA_SPEC::reset (void);
PUBLIC bool QUOTA_SPEC::isdiff (const QUOTA_SPEC&s)const;
PUBLIC QUOTA_SPEC::QUOTA_SPEC (void);
PUBLIC QUOTA_SPEC::QUOTA_SPEC (const char *val);
PUBLIC QUOTA_SPEC::QUOTA_SPEC (const QUOTA_SPEC *s);
PUBLIC void QUOTA_SPEC::setfrom (const QUOTA_SPEC *s);
PUBLIC void QUOTA_SPEC::setfrom (const char *val);
PUBLIC void QUOTA_SPEC::write (CONFDB&conf,
	 const char *key,
	 const char *device);
PUBLIC QUOTA_SPECS::QUOTA_SPECS (CONFDB&conf,
	 const char *key,
	 const char *device);
PUBLIC QUOTA_SPECS::QUOTA_SPECS (void);
PUBLIC void QUOTA_SPECS::write (CONFDB&conf,
	 const char *key,
	 const char *device);
PUBLIC QUOTA_SPEC *QUOTA_SPECS::getitem (int no)const;
PUBLIC QUOTA_SPEC *QUOTA_SPECS::getitem (const char *name)const;
PUBLIC QUOTA_DEV::QUOTA_DEV (CONFDB&conf,
	 const char *device,
	 bool _has_quota_u,
	 bool _has_quota_g);
PUBLIC void QUOTA_DEV::write (CONFDB&conf);
PUBLIC void QUOTA_DEV::geteffuserspec (const char *name,
	 const char *group,
	 QUOTA_SPEC&eff);
PUBLIC void QUOTA_DEV::geteffgroupspec (const char *group,
	 QUOTA_SPEC&eff);
PUBLIC QUOTA_SPEC *QUOTA_DEV::getuserspec (const char *name);
PUBLIC QUOTA_SPEC *QUOTA_DEV::getgroupspec (const char *name);
PUBLIC QUOTA_SPEC *QUOTA_DEV::getuserdef_gspec (const char *name);
PUBLIC int QUOTA_DEV::deluserspec (const char *name);
PUBLIC int QUOTA_DEV::delgroupspec (const char *name);
PUBLIC int QUOTA_DEV::deluserdef_gspec (const char *name);
PUBLIC void QUOTA_DEV::applyone (struct passwd *p);
PUBLIC int QUOTA_DEV::setrealdevice (void);
PUBLIC const char *QUOTA_DEV::getrealdevice (void);
PUBLIC void QUOTA_DEV::applyall (void);
PUBLIC QUOTA_DEV *QUOTA_DEVS::getitem (int no)const;
PUBLIC QUOTACTL::QUOTACTL (void);
PUBLIC QUOTACTL::~QUOTACTL (void);
PUBLIC int QUOTACTL::write (PRIVILEGE *priv);
PUBLIC void QUOTA_SPEC::setupdia (DIALOG&dia);
PUBLIC void QUOTACTL::editdef (void);
PUBLIC void QUOTACTL::applyall (void);
PUBLIC void QUOTACTL::applyall (const char *dev);
PUBLIC int QUOTACTL::applyone (const char *user);
PUBLIC QUOTA_DEV *QUOTACTL::getdev (const char *device);
PUBLIC int QUOTACTL::deluser (QUOTA_TYPE type,
	 const char *nam,
	 PRIVILEGE *priv);
/* quotacheck.tlcc 19/02/2004 09.43.06 */
/* quotacomng.tlcc 19/02/2004 09.43.06 */
PUBLIC QUOTA_COMNG::QUOTA_COMNG (DICTIONARY&_dict, QUOTA_TYPE type);
PUBLIC void QUOTA_COMNG::setgroup (const char *grp);
PUBLIC QUOTA_COMNG::~QUOTA_COMNG (void);
PRIVATE QUOTA_SPEC *QUOTA_COMNG::getspec (QUOTA_DEV *d);
PRIVATE void QUOTA_COMNG::show_curvalue (DIALOG&dia,
	 const char *title,
	 int value);
PUBLIC void QUOTA_COMNG::setupdia (DIALOG&dia);
PUBLIC int QUOTA_COMNG::save (PRIVILEGE *priv);
PUBLIC int QUOTA_COMNG::validate (DIALOG&, int &nof);
PUBLIC int QUOTA_COMNG::deluser (PRIVILEGE *priv);
PRIVATE void QUOTA_COMNG::geteffspec (QUOTA_DEV *d,
	 QUOTA_SPEC&eff,
	 const char *ptname);
PRIVATE void QUOTA_COMNG::geteffspec (QUOTA_DEV *d, QUOTA_SPEC&eff);
/* show.tlcc 19/02/2004 09.43.06 */
