/* _dict.cc 01/02/1998 20.19.44 */
/* devinfo.cc 26/05/2003 14.27.10 */
int devinfo_load (HOSTS&hosts, HOSTINFO&info);
void devinfo_remove (VIEWITEMS&items, const char *var);
int devinfo_save (HOSTS&hosts, HOSTINFO&info);
int devinfo_ipalias_load (const char *devname,
	 SSTRINGS&tb,
	 SSTRINGS&masks);
int devinfo_ipalias_save (const char *devname,
	 const SSTRINGS&tb,
	 const SSTRINGS&masks);
/* filter.cc 12/11/2003 13.05.28 */
int redhat_release (void);
bool redhat_ismdk (void);
bool redhat_isfed (void);
int redhat_mdkrelease (void);
int redhat_fedrelease (void);
CONFDB *filter_fctnew (CONFDB *orig);
int filter_setval (const char *var, const char *val);
void filter_gethostname (char *name);
int filter_sethostname (const char *name);
/* pam.cc 14/08/2003 14.17.56 */
int pam_check_pass (const char *user);
int pam_change_pass (const char *user,
	 bool preauthenticated,
	 const char *_suggested,
	 void (*_fct_html)(DIALOG&dia, bool intro));
int pam_check_pair (const char *user, const char *pass);
/* redhat.cc 12/11/2003 13.03.54 */
const char *vendor_getid (void);
const char *vendor_getdistid (void);
/* reduser.cc 26/08/2003 16.11.02 */
int reduser_del (const USER *usr, const SHADOW *);
int reduser_add (USER *usr, SHADOW *shadow, bool createdir);
int reduser_change (const USER *usr, const SHADOW *shadow);
/* routes.cc 25/04/2002 13.09.20 */
int routes_load (ROUTES&rt);
int routes_save (SSTRING&defroute, ROUTES&rts);
/* sysv.cc 30/09/2002 14.22.20 */
void *sysv_api_get (void);
void sysv_api_release (void *obj);
