#include "diawxgtk.h"

PUBLIC TEXTAREA::TEXTAREA (
	wxFORMBASE *_parent,
	int cols,
	int rows)
	: wxTextCtrl (_parent,-1,"",wxDefaultPosition,wxSize(cols,rows)
		,wxHSCROLL|wxTE_MULTILINE)
{
	SetSizeHints (cols,rows);
}

PROTECTED void TEXTAREA::OnChar(wxKeyEvent& event)
{
	if (event.m_keyCode == 9
		&& !event.m_controlDown
		&& !event.m_altDown
		&& !event.m_metaDown
		&& !event.m_shiftDown){
		event.m_keyCode = 'i';
		event.m_controlDown = true;
	}
	wxTextCtrl::OnChar(event);
	#if 0
	if (event.keyCode == 'a'){
		fprintf (stderr,"Scroll\n");
		SetCaretPos (0,0);
	}
	#endif
}


