/* _dict.cc 01/02/1998 20.19.44 */
/* devinfo.cc 26/05/2003 14.27.10 */
PUBLIC CONFIG_FILE_DEVLIST::CONFIG_FILE_DEVLIST (void);
PUBLIC int CONFIG_FILE_DEVLIST::archive (SSTREAM&ss)const;
PUBLIC int CONFIG_FILE_DEVLIST::extract (SSTREAM&ss);
/* filter.cc 12/11/2003 13.05.28 */
PRIVATE void CONFDB_REDHAT::reset_modified (void);
PUBLIC CONFDB_REDHAT::CONFDB_REDHAT (CONFDB *_orig);
PUBLIC CONFDB_REDHAT::~CONFDB_REDHAT (void);
PUBLIC void CONFDB_REDHAT::setcursys (const char *_subsys);
PUBLIC int CONFDB_REDHAT::save (PRIVILEGE *priv);
PRIVATE const char *CONFDB_REDHAT::getvalfromrh (RHLK *rh);
PRIVATE void CONFDB_REDHAT::updaterh (RHLK *rh,
	 const char *key,
	 const char *val);
PUBLIC const char *CONFDB_REDHAT::getval (const char *prefix,
	 const char *key,
	 const char *defval);
PUBLIC int CONFDB_REDHAT::getall (const char *prefix,
	 const char *key,
	 SSTRINGS&lst,
	 bool copy);
PUBLIC void CONFDB_REDHAT::removeall (const char *prefix,
	 const char *key);
PUBLIC void CONFDB_REDHAT::add (const char *prefix,
	 const char *key,
	 const char *val);
PUBLIC int CONFDB_REDHAT::archive (SSTREAM&ss, const char *_sys);
PUBLIC int CONFDB_REDHAT::extract (SSTREAM&ss, const char *_sys);
PUBLIC int CONFDB_REDHAT::getmodsys (SSTRINGS&tb);
/* pam.cc 14/08/2003 14.17.56 */
/* redhat.cc 12/11/2003 13.03.54 */
PUBLIC MODULE_redhat::MODULE_redhat (void);
PUBLIC int MODULE_redhat::dohtml (const char *key);
PUBLIC int MODULE_redhat::execmain (int argc, char *argv[], bool);
PUBLIC int MODULE_redhat::message (const char *msg,
	 int argc,
	 const char *argv[]);
/* reduser.cc 26/08/2003 16.11.02 */
/* routes.cc 25/04/2002 13.09.20 */
/* sysv.cc 30/09/2002 14.22.20 */
PUBLIC SERVICE_SYSV_REDHAT::SERVICE_SYSV_REDHAT (const char *_name,
	 const char *_desc,
	 int _state,
	 bool states[7]);
PUBLIC int SERVICE_SYSV_REDHAT::control (SERVICE_OPER oper);
PUBLIC const char *SERVICE_SYSV_REDHAT::getrunstatus (void);
PUBLIC const char *SERVICE_SYSV_REDHAT::getconfstatus (void);
PUBLIC void SERVICE_SYSV_REDHAT::showstatus (void);
PUBLIC int SERVICE_SYSV_REDHAT::install_levels (void);
PRIVATE void SERVICE_SYSV_REDHAT::readinfo (SSTRINGS&desc,
	 char suggest_levels[7]);
PUBLIC int SERVICE_SYSV_REDHAT::edit (bool popup);
PUBLIC int SERVICE_SYSV_REDHAT::edit (void);
PUBLIC CONFIG_FILE_SYSV::CONFIG_FILE_SYSV (void);
PUBLIC int CONFIG_FILE_SYSV::archive (SSTREAM&ss)const;
PUBLIC int CONFIG_FILE_SYSV::extract (SSTREAM&ss);
